'--------------------------------------------------------------
'
' PROGRAM PWM-MOTOR-1.bas  Pouit pulsn-kov modulace pro zen otem motoru.
'
' Program, kterm podle stisku tlatka dme velikost otek motoru.
' Pouit je osmibitov pulsn-kov modulace se zmnou stdy vstupnho signlu.
'--------------------------------------------------------------

$regfile = "m8def.dat"                                      'Soubor s deklaracemi
$crystal = 12000000                                         'Kmitoet krystalu v Hz

Config Portb.0 = Input                                      'Definovn vstupu pro tlatko
Portb.0 = 1                                                 'Zapnut pull-up rezistoru
Defbyte B                                                   'Definovn promnn B

Config Timer1 = Pwm , Pwm = 8 , Prescale = 1024 , Compare A Pwm = Clear Up
'Nastaven asovae pro PWM, viz ne

'-------------- HLAVNI PROGRAM --------------------------------

 Do
   If Pinb.0 = 0 Then                                       'Je-li tlatko stlaeno, m vstupn signl na PB1
    B = 60                                                  'stdu 60/196 - motor se to rychleji.
    Else                                                    'Nen-li tlatko stlaeno, m vstupn signl na PB1
    B = 20                                                  'stdu 20/236 - motor se to pomalu.
    End If
   Pwm1a = B

 Loop

'--------- KONEC HLAVNIHO PROGRAMU ---------------------------

 End

'zen stedn hodnoty vstupnho signlu pomoc pulsn-kov modulace
'se provd zmnou promnn Pwm1a, kdy se mn pomr impuls/mezera.
'Maximln hodnota Pwm1a je 255.
'Pi Pwma1 = 1 je pomr 1/255
'Pi Pwma1 = 2 je pomr 2/254
'Pi Pwma1 = 10 je pomr 10/246 atd

'Nastaven asovae Timer1 pro PWM:
'Config Timer1 = Pwm , Pwm = 8 , Prescale = 1 , Compare A Pwm = Clear Up

'Pwm = 8                    - osmibitov PWM (Pwm1a = 1 a 255)
'Prescale = 1               - opak.kmit = 16 kHz (pi osciltoru 8MHz)
'Prescale = 8               - opak.kmit = 16/8 kHz atd.
'Compare A Pwm = Clear Down - polarita vstupnch impuls je opan ne pi Clear Up